Skip to content

Search job history

GET
/job/job-history/entries
Required scope: viskan:jobconfig:read

Searches job execution history for the current tenant with optional filters.

Parameters

Query parameters

page  integer
The page number to retrieve. The first page is 1. Cannot be less than 1.
Default value: 1
pageSize  integer
The size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value: 10
keywords  string
Optional keywords to search for in the job config name.
statuses  string
Comma-separated list of status names to filter by (e.g. 'ERROR,WARNING').
from  string
Start of date range (ISO date). Defaults to 30 days ago.
to  string
End of date range (ISO date). Defaults to today.
acknowledged  enum
Filter by acknowledged status.
Enum: ALLACKNOWLEDGEDUNACKNOWLEDGED
Default value: ALL

Response

The response contains the found history entries.